{
  "_from": "stylelint-scss@3.19.0",
  "_id": "stylelint-scss@3.19.0",
  "_inBundle": false,
  "_integrity": "sha512-Ic5bsmpS4wVucOw44doC1Yi9f5qbeVL4wPFiEOaUElgsOuLEN6Ofn/krKI8BeNL2gAn53Zu+IcVV4E345r6rBw==",
  "_location": "/stylelint-scss",
  "_phantomChildren": {},
  "_requested": {
    "type": "version",
    "registry": true,
    "raw": "stylelint-scss@3.19.0",
    "name": "stylelint-scss",
    "escapedName": "stylelint-scss",
    "rawSpec": "3.19.0",
    "saveSpec": null,
    "fetchSpec": "3.19.0"
  },
  "_requiredBy": [
    "/@eco/stylelint-config"
  ],
  "_resolved": "https://nexus.boos.solutions/repository/gpb-npm/stylelint-scss/-/stylelint-scss-3.19.0.tgz",
  "_shasum": "528006d5a4c5a0f1f4d709b02fd3f626ed66d742",
  "_spec": "stylelint-scss@3.19.0",
  "_where": "/root/farzoom/eco-ebg/node_modules/@eco/stylelint-config",
  "author": {
    "name": "Krister Kari"
  },
  "babel": {
    "presets": [
      "@babel/env"
    ]
  },
  "bugs": {
    "url": "https://github.com/kristerkari/stylelint-scss/issues"
  },
  "bundleDependencies": false,
  "dependencies": {
    "lodash": "^4.17.15",
    "postcss-media-query-parser": "^0.2.3",
    "postcss-resolve-nested-selector": "^0.1.1",
    "postcss-selector-parser": "^6.0.2",
    "postcss-value-parser": "^4.1.0"
  },
  "deprecated": false,
  "description": "A collection of SCSS specific rules for stylelint",
  "devDependencies": {
    "@babel/cli": "^7.8.4",
    "@babel/core": "^7.9.6",
    "@babel/preset-env": "^7.9.6",
    "babel-plugin-istanbul": "^6.0.0",
    "babel-preset-jest": "^25.5.0",
    "eslint": "^6.8.0",
    "eslint-config-stylelint": "^11.1.0",
    "eslint-plugin-lodash": "^7.1.0",
    "github-contributors-list": "^1.2.4",
    "husky": "^4.2.5",
    "jest": "^25.5.4",
    "jest-cli": "^25.5.4",
    "lint-staged": "^10.2.2",
    "npmpub": "^5.0.0",
    "postcss": "^7.0.29",
    "postcss-scss": "^2.0.0",
    "prettier": "^1.19.1",
    "rimraf": "^3.0.2",
    "stylelint": "^13.3.3"
  },
  "engines": {
    "node": ">=8"
  },
  "eslintConfig": {
    "extends": [
      "eslint:recommended",
      "stylelint"
    ],
    "parserOptions": {
      "sourceType": "module",
      "ecmaVersion": 6
    },
    "env": {
      "es6": true,
      "jest": true,
      "node": true
    },
    "plugins": [
      "lodash"
    ],
    "globals": {
      "testRule": true
    },
    "rules": {
      "eqeqeq": "error",
      "no-use-before-define": [
        "error",
        "nofunc"
      ],
      "sort-requires/sort-requires": "error",
      "strict": [
        "error",
        "global"
      ],
      "arrow-spacing": "error",
      "no-var": "error",
      "object-shorthand": "error",
      "prefer-const": "error",
      "template-curly-spacing": "error",
      "lodash/callback-binding": "error",
      "lodash/collection-method-value": "error",
      "lodash/collection-return": "error",
      "lodash/no-double-unwrap": "error",
      "lodash/no-extra-args": "error",
      "lodash/no-unbound-this": "error",
      "lodash/unwrap": "error",
      "lodash/preferred-alias": "error",
      "node/no-unsupported-features/es-syntax": [
        "error",
        {
          "version": ">=8.0.0",
          "ignores": [
            "modules"
          ]
        }
      ]
    }
  },
  "files": [
    "dist",
    "docs",
    "src/**/README.md",
    "!**/__tests__"
  ],
  "homepage": "https://github.com/kristerkari/stylelint-scss#readme",
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "jest": {
    "clearMocks": true,
    "collectCoverage": false,
    "collectCoverageFrom": [
      "src/**/*.js",
      "!src/testUtils/*.js"
    ],
    "coverageDirectory": "./.coverage/",
    "coverageReporters": [
      "lcov",
      "text"
    ],
    "coverageThreshold": {
      "global": {
        "branches": 75,
        "functions": 75,
        "lines": 75,
        "statements": 75
      }
    },
    "setupFiles": [
      "./jest-setup.js"
    ],
    "testEnvironment": "node",
    "roots": [
      "src"
    ],
    "testRegex": ".*\\.test\\.js$|src/.*/__tests__/.*\\.js$",
    "transform": {
      "^.+\\.jsx?$": "./babel-jest.js"
    }
  },
  "keywords": [
    "css",
    "csslint",
    "lint",
    "linter",
    "stylelint",
    "stylelint-plugin"
  ],
  "license": "MIT",
  "lint-staged": {
    "**/*.{js,json}": [
      "prettier --write"
    ]
  },
  "main": "dist/index.js",
  "name": "stylelint-scss",
  "peerDependencies": {
    "stylelint": "^8.0.0 || ^9.0.0 || ^10.0.0 || ^11.0.0 || ^12.0.0 || ^13.0.0"
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/kristerkari/stylelint-scss.git"
  },
  "scripts": {
    "build": "babel src --out-dir dist",
    "generate-contributors-list": "githubcontrib --owner kristerkari --repo stylelint-scss --cols 6 --sortOrder desc --filter greenkeeper[bot],dependabot[bot] --showlogin true --imagesize 80 --format html",
    "jest": "jest",
    "lint": "eslint . --ignore-path .gitignore",
    "prebuild": "rimraf dist",
    "prepublishOnly": "npm run build",
    "pretest": "npm run lint",
    "prettify": "prettier --write \"src/**/*.js\"",
    "release": "npmpub",
    "test": "npm run jest -- --coverage",
    "test-rule": "npm run jest",
    "test-util": "npm run jest",
    "watch": "npm run jest -- --watch"
  },
  "version": "3.19.0"
}
